<?php
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');
$date=date("Y-m-d");
$hora=date("H:i:s");
$pro_id=$_POST['pro_id'];
$fecha=$_POST['fecha'];
$forma_pago=$_POST['forma_pago'];
$medio_pago=$_POST['medio_pago'];
$plazo_dias=$_POST['plazo_dias'];
$observaciones=$_POST['observaciones'];

$sql=mysqli_query($con,"SELECT * FROM dian_documento_temp  WHERE usuario='$usu_id' AND empresa='$empresa'");
$filas=mysqli_num_rows($sql);
if ($filas=='0')
{
    echo ' <div class="alert alert-info alert-dismissable">
                <strong>La lista esta Vacia</strong>.
            </div>';
}
else
{

    $resol=mysqli_query($con,"SELECT * FROM serie_factura where ser_estado='activo' and ser_tipo='electronica' and ser_tipo_documento='11' and empresa='$empresa'") or die(mysqli_error($con)); 
    $res=mysqli_fetch_array($resol);
    $result = mysqli_num_rows($resol);
    $ser_id=$res['ser_id'];
    $ser_inicio=$res['ser_inicio'];
    $ser_resolucion=$res['ser_resolucion'];
    $ser_fin=$res['ser_fin'];
    $prefijo=$res['ser_prefijo'];

    if($result ==0)
    {
            echo '<div class="modal-body">
                <div class="alert alert-info alert-dismissable">
                    <strong>No hay serie de documento activa.</strong> Tiene que activar la siguiente serie.
                </div>
                <div class="modal-footer">
                    <a href="empresa.php" class="btn btn-danger"><i class="icon-ok"></i> <strong>Activar</strong></a>
                </div>  
            </div> ';
    }
    else
    {
        $can=mysqli_query($con,"SELECT MAX(docs_numero) as docs_numero  
        FROM dian_documento_soporte where docs_numero >='$ser_inicio' and docs_numero <='$ser_fin' and docs_ser_id='$ser_id'and empresa='$empresa'") or die(mysqli_error($con)); 
        $dato= mysqli_fetch_array($can);
        $docs_numero = $dato['docs_numero'];
        if ($docs_numero==null)
        {
            $docs_numero=$ser_inicio;
        }
        else if ($docs_numero < $ser_fin) 
        {  
            $docs_numero=$dato['docs_numero']+1;
        }

        $can=mysqli_query($con,"SELECT MAX(docs_id)as docs_id FROM dian_documento_soporte") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can);
        $docs_id=$dato['docs_id']+1;

        $insert_tmp=mysqli_query($con,"INSERT INTO dian_documento_soporte (docs_id,docs_tipo_doc,docs_ser_id,docs_prefijo,docs_numero,dosc_forma_pago,dosc_medio_pago,docs_plazo_dias,docs_fecha,docs_hora,docs_proveedor,docs_observaciones,empresa) 
            VALUES ('$docs_id','11','$ser_id','$prefijo','$docs_numero','$forma_pago','$medio_pago','$plazo_dias','$fecha','$hora','$pro_id','$observaciones','$empresa')");

        //detalles
        $can7=mysqli_query($con,"SELECT * FROM dian_documento_temp where empresa='$empresa' and usuario='$usu_id' ") or die(mysqli_error($con));  
        while($row=mysqli_fetch_array($can7))
        {
            $sop_nombre=$row['sop_nombre'];
            $sop_cantidad=$row['sop_cantidad'];
            $sop_precio=$row['sop_precio'];
            $sop_tipo_envio=$row['sop_tipo_envio'];
            $sop_fecha_envio=$row['sop_fecha_envio'];

            $can8=mysqli_query($con,"INSERT INTO dian_documento_detalle (sopd_nombre,sopd_cantidad,sopd_precio,sopd_tipo_envio,sopd_fecha_envio,empresa,documento_id) 
            VALUES ('$sop_nombre','$sop_cantidad','$sop_precio','$sop_tipo_envio','$sop_fecha_envio','$empresa','$docs_id')") or die(mysqli_error($con)); 
        }

        $sql="SELECT t.ret_base, t.ret_importe,r.codigo,r.ret_porcentaje FROM retencion_doc_temp t
                        INNER JOIN retencion r ON r.ret_id = t.retencion_ret_id AND r.empresa = t.empresa
                        WHERE t.usuario = '$usu_id' AND t.empresa = '$empresa'";
        $res=mysqli_query($con, $sql) or die(mysqli_error($con));
        // 2. Insertar cada una por separado (pero sin SELECT repetidos)
        while ($row = mysqli_fetch_assoc($res)) 
        {
            $ret_base       = $row['ret_base'];
            $ret_importe    = $row['ret_importe'];
            $codigo         = $row['codigo'];
            $porcentaje     = $row['ret_porcentaje'];

            $insertSql = "INSERT INTO retencion_doc 
                (ret_base, ret_importe, codigo, porcentaje, empresa, retencion_ret_id)
                VALUES  
                ('$ret_base', '$ret_importe', '$codigo', '$porcentaje','$empresa','$docs_id')";
            mysqli_query($con, $insertSql) or die(mysqli_error($con));
        }


        $sql=mysqli_query($con,"DELETE FROM retencion_doc_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));
        $sql=mysqli_query($con,"DELETE FROM dian_documento_temp WHERE empresa='$empresa' and usuario='$usu_id'") or die(mysqli_error($con));

        echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                    <strong>Documento Soporte Registrado!</strong> 
              </div>';
        }
}



?>